Skip to main content
POST
/
projects
/
{project_reference}
/
channels
Create channel binding
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/channels \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "slack",
  "assistant_id": "<string>",
  "name": "<string>",
  "respond_to": "mentions",
  "allowed_channels": [
    "<string>"
  ],
  "welcome_message": "<string>",
  "error_message": "<string>",
  "max_response_tokens": 32768,
  "runtime_target_kind": "production",
  "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platform": "slack",
  "enabled": true,
  "platform_team_id": "<string>",
  "platform_bot_id": "<string>",
  "respond_to": "mentions",
  "allowed_channels": [
    "<string>"
  ],
  "status": "connected",
  "runtime_target_kind": "production",
  "resolved_target": {
    "runtime_target": {
      "kind": "production",
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "resolved_environment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "resolved_branch": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "resolved_deployment": {
      "id": "<string>",
      "runtime_version": "<string>",
      "deployment_revision": "<string>",
      "last_deployed_at": "<string>"
    },
    "resolved_managed_domain": {
      "domain": "<string>",
      "health_url": "<string>"
    },
    "resolved_invoke_mode": "dispatch_override",
    "last_resolution_error": {
      "code": "<string>",
      "retryable": true,
      "message": "<string>"
    }
  },
  "created_at": "<string>",
  "updated_at": "<string>",
  "binding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "assistant_id": "<string>",
  "workspace_name": "<string>",
  "welcome_message": "<string>",
  "error_message": "<string>",
  "max_response_tokens": 1,
  "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

Body

application/json
platform
enum<string>
required
Available options:
slack
assistant_id
string
required
Minimum string length: 1
name
string
Required string length: 1 - 255
respond_to
enum<string>
Available options:
mentions,
direct_messages,
all
allowed_channels
string[]
Maximum array length: 250
Required string length: 1 - 255
welcome_message
string | null
Maximum string length: 4000
error_message
string | null
Maximum string length: 4000
max_response_tokens
integer | null
Required range: 0 < x <= 65536
runtime_target_kind
enum<string>
Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null

Response

Created channel binding

id
string<uuid>
required
project_id
string<uuid>
required
platform
enum<string>
required
Available options:
slack
enabled
boolean
required
platform_team_id
string | null
required
platform_bot_id
string | null
required
respond_to
enum<string>
required
Available options:
mentions,
direct_messages,
all
allowed_channels
string[]
required
status
enum<string>
required
Available options:
connected,
needs_reauth,
error
runtime_target_kind
enum<string>
required
Available options:
production,
environment,
preview_branch
resolved_target
object
required
created_at
string
required
updated_at
string
required
binding_id
string<uuid>
installation_id
string<uuid> | null
name
string | null
assistant_id
string | null
Minimum string length: 1
workspace_name
string | null
welcome_message
string | null
error_message
string | null
max_response_tokens
integer | null
Required range: x > 0
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null